#
# spec file for package perl-psh
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name psh
Name:           perl-psh
Version:        1.8.1
Release:        3.1
Summary:        The Perl Shell
License:        GPL-1.0-or-later OR Artistic-1.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GREGOR/%{cpan_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM psh.patch RT#105916 -- fix test Psh::Builtins::Tieopt for perl v5.22
Patch0:         psh.patch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildArch:      noarch
%{perl_requires}

%description
The Perl Shell (psh) combines aspects of bash and other shells with the power
of Perl scripting. It aspires to be your primary login shell.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p2
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%license COPYRIGHT
%doc doc examples HACKING psh pshrc README README.perl5.004 README.upgrade RELEASE TODO tryme

%changelog
* Thu Sep 13 2018 egdfree@opensuse.org
- initial
- added upstream patch psh.patch to fix build
  see https://rt.cpan.org/Public/Bug/Display.html?id=105916
